aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorStephen Hines <srhines@google.com>2018-09-20 18:01:39 -0700
committerStephen Hines <srhines@google.com>2018-09-26 21:15:08 +0000
commitc91ab9eb6d46139bba52e541e00e6a80845f4d87 (patch)
tree3f9949bda66bb33f779c3772fc1f8e1eb641992d
parente12f5e23c2a28b5af38ff0e30de84a6972cd5fab (diff)
downloadbuild_soong-c91ab9eb6d46139bba52e541e00e6a80845f4d87.tar.gz
build_soong-c91ab9eb6d46139bba52e541e00e6a80845f4d87.tar.bz2
build_soong-c91ab9eb6d46139bba52e541e00e6a80845f4d87.zip
Switch to clang-r339409.
This also changes over llvm-strip to use the -o flag, rather than relying on nonstandard (and no longer functional) positional arguments. Bug: http://b/111998531 Test: Multiple new builds. For googlers - http://go/clang-r339409-testing Change-Id: I8c82d06304af24a001e6552e36e2f540d8e364ce
-rw-r--r--cc/config/clang.go12
-rw-r--r--cc/config/global.go4
-rwxr-xr-xscripts/strip.sh4
3 files changed, 16 insertions, 4 deletions
diff --git a/cc/config/clang.go b/cc/config/clang.go
index 186d7905..5e22d6a2 100644
--- a/cc/config/clang.go
+++ b/cc/config/clang.go
@@ -178,6 +178,18 @@ func init() {
// Disable c++98-specific warning since Android is not concerned with C++98
// compatibility.
"-Wno-c++98-compat-extra-semi",
+
+ // Disable this warning until we can fix all instances where it fails.
+ "-Wno-self-assign-overloaded",
+
+ // Disable this warning until we can fix all instances where it fails.
+ "-Wno-constant-logical-operand",
+
+ // Disable this warning because we don't care about behavior with older compilers.
+ "-Wno-return-std-move-in-c++11",
+
+ // Disable this warning until we can fix all instances where it fails.
+ "-Wno-dangling-field",
}, " "))
// Extra cflags for projects under external/ directory to disable warnings that are infeasible
diff --git a/cc/config/global.go b/cc/config/global.go
index 000aab64..ad63c978 100644
--- a/cc/config/global.go
+++ b/cc/config/global.go
@@ -126,8 +126,8 @@ var (
// prebuilts/clang default settings.
ClangDefaultBase = "prebuilts/clang/host"
- ClangDefaultVersion = "clang-r328903"
- ClangDefaultShortVersion = "7.0.2"
+ ClangDefaultVersion = "clang-r339409"
+ ClangDefaultShortVersion = "8.0.1"
// Directories with warnings from Android.bp files.
WarningAllowedProjects = []string{
diff --git a/scripts/strip.sh b/scripts/strip.sh
index bfc66ee2..29594dce 100755
--- a/scripts/strip.sh
+++ b/scripts/strip.sh
@@ -54,7 +54,7 @@ do_strip() {
# ${CROSS_COMPILE}strip --strip-all does not strip .ARM.attributes,
# so we tell llvm-strip to keep it too.
if [ ! -z "${use_llvm_strip}" ]; then
- "${CLANG_BIN}/llvm-strip" --strip-all -keep=.ARM.attributes "${infile}" "${outfile}.tmp"
+ "${CLANG_BIN}/llvm-strip" --strip-all -keep=.ARM.attributes "${infile}" -o "${outfile}.tmp"
else
"${CROSS_COMPILE}strip" --strip-all "${infile}" -o "${outfile}.tmp"
fi
@@ -75,7 +75,7 @@ do_strip_keep_mini_debug_info() {
rm -f "${outfile}.dynsyms" "${outfile}.funcsyms" "${outfile}.keep_symbols" "${outfile}.debug" "${outfile}.mini_debuginfo" "${outfile}.mini_debuginfo.xz"
local fail=
if [ ! -z "${use_llvm_strip}" ]; then
- "${CLANG_BIN}/llvm-strip" --strip-all -keep=.ARM.attributes -remove-section=.comment "${infile}" "${outfile}.tmp" || fail=true
+ "${CLANG_BIN}/llvm-strip" --strip-all -keep=.ARM.attributes -remove-section=.comment "${infile}" -o "${outfile}.tmp" || fail=true
else
"${CROSS_COMPILE}strip" --strip-all -R .comment "${infile}" -o "${outfile}.tmp" || fail=true
fi